#!/usr/bin/env python

from __future__ import division, absolute_import, print_function
from future.builtins import super

from bandwidth_numbers.models.totals import Totals
from bandwidth_numbers.models.base_resource import BaseResource
from bandwidth_numbers.models.data.in_service_numbers import InServiceNumbersData

XML_NAME_IN_SERVICE_NUMBERS = "TNs"
XPATH_IN_SERVICE_NUMBERS = "/inserviceNumbers"

class InServiceNumbers(BaseResource, InServiceNumbersData):

    """In-service numbers for account"""

    _node_name = XML_NAME_IN_SERVICE_NUMBERS
    _xpath = XPATH_IN_SERVICE_NUMBERS

    @property
    def totals(self):
        return self._totals

    def __init__(self, parent=None, client=None):
        super().__init__(parent, client)
        InServiceNumbersData.__init__(self)
        self._totals = Totals(self, client)

    def list(self, params=None):
        self._get_data(params=params)
        return self.telephone_numbers.telephone_number
