#!/usr/bin/env python

from __future__ import division, absolute_import, print_function
from future.builtins import super

from bandwidth_numbers.models.base_resource import BaseResource
from bandwidth_numbers.models.data.sip_peer_tns import SipPeerTnsData
from bandwidth_numbers.models.sip_peer_telephone_number import \
    SipPeerTelephoneNumber

XML_NAME_SIP_PEER_TNS = "SipPeerTelephoneNumbersResponse"
XPATH_SIP_PEER_TNS = "/tns"

class SipPeerTns(BaseResource, SipPeerTnsData):

    """SIP peers telephone numbers"""

    _node_name = XML_NAME_SIP_PEER_TNS
    _xpath = XPATH_SIP_PEER_TNS

    def __init__(self, parent=None, client=None):
        super().__init__(parent, client)
        SipPeerTnsData.__init__(self, self)

    def create(self, data=None, save=True):
        tn = SipPeerTelephoneNumber(self).set_from_dict(data)
        if save and (data is not None):
            tn.save()
        return tn

    def get(self, id):
        return SipPeerTelephoneNumber(self).get(id)

    def list(self):
        return self._get_data().sip_peer_telephone_numbers.\
            sip_peer_telephone_number
